from webtest import TestApp
from app import login_app

app = TestApp(login_app)

def test_login_ok():
    res = app.post('/login', {'user': 'test', 'password': 'pass'})
    res.mustcontain('Login successful')

def test_login_fail():
    res = app.post('/login', {'user': 'test', 'password': 'error'})
    res.mustcontain('Login failed')
